Class GetUsersPlaylistsRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<Paging<PlaylistSimplified>>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<Paging<PlaylistSimplified>>
se.michaelthelin.spotify.requests.data.playlists.GetUsersPlaylistsRequest
- All Implemented Interfaces:
IRequest<Paging<PlaylistSimplified>>
@Deprecated
public class GetUsersPlaylistsRequest
extends AbstractDataRequest<Paging<PlaylistSimplified>>
Deprecated.
This endpoint is deprecated.
Get a list of the playlists owned or followed by a Spotify user.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classDeprecated.This endpoint is deprecated. -
Method Summary
Modifier and TypeMethodDescriptionexecute()Deprecated.Get a paging ofPlaylistSimplifiedobjects for a user.Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public Paging<PlaylistSimplified> execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionDeprecated.Get a paging ofPlaylistSimplifiedobjects for a user.- Returns:
- A
PlaylistSimplifiedpaging. - Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.
-